Summary:	An rsync like transfer software over http
Name:		zsync
Version:	0.6.2
Release:	%mkrel 13
License:	Artistic
Group:		Networking/File transfer
Url:		http://zsync.moria.org.uk/
Source0:	http://zsync.moria.org.uk/download/%{name}-%{version}.tar.bz2
Patch0:		zsync-0.6.2-fix-building-with-gcc14.patch
Patch1:		remove-ub-in-zlib.patch

%description
zsync is a file transfer program. It allows you to download a file
from a remote web server, where you have a copy of an older version of
the file on your computer already. zsync downloads only the new parts
of the file. It uses the same algorithm as rsync.

zsync does not require any special server software or a shell account
on the remote system (rsync, in comparison, requires that you have an
rsh or ssh account, or that the remote system runs rsyncd). Instead,
it uses a control file - a .zsync file - that describes the file to be
downloaded and enables zsync to work out which blocks it needs. This
file can be created by the admin of the web server hosting the
download, and placed alongside the file to download - it is generated
once, then any downloaders with zsync can use it.

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%__rm -fr %{buildroot}%{_datadir}/doc

%files
%doc NEWS README
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Fri May 23 2025 ns80 <ns80> 0.6.2-13.mga10
+ Revision: 2186001
- add a patch from Fedora for CVE-2025-4638 (mga#34301)

* Wed Sep 25 2024 ns80 <ns80> 0.6.2-12.mga10
+ Revision: 2101224
- fix building with GCC 14

* Mon Jan 02 2023 ghibo <ghibo> 0.6.2-11.mga9
+ Revision: 1929190
- Rebuild for aging

* Tue Mar 15 2022 umeabot <umeabot> 0.6.2-10.mga9
+ Revision: 1792455
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.6.2-9.mga8
+ Revision: 1519154
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 8.mga7-current
+ Revision: 1302068
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 wally <wally> 0.6.2-7.mga7
+ Revision: 1243368
- fix build on aarch64

* Mon Jan 18 2016 daviddavid <daviddavid> 0.6.2-6.mga6
+ Revision: 925285
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-5.mga5
+ Revision: 741458
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-4.mga5
+ Revision: 690892
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.2-3.mga4
+ Revision: 520926
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 387781
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 15 2011 nanardon <nanardon> 0.6.2-1.mga1
+ Revision: 19507
- imported package zsync


* Sun Oct 10 2010 Giuseppe Ghibò <ghibo@mandriva.com> 0.6.2-1mdv2011.0
+ Revision: 584627
- Update to release 0.6.2.

* Sun Nov 08 2009 Olivier Thauvin <nanardon@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 462918
- 0.6.1

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.6-2mdv2010.0
+ Revision: 446354
- rebuild

* Sun Jan 25 2009 Olivier Thauvin <nanardon@mandriva.org> 0.6-1mdv2009.1
+ Revision: 333342
- 0.6

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 0.5-5mdv2009.0
+ Revision: 263230
- rebuild

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 0.5-4mdv2009.0
+ Revision: 262913
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.5-2mdv2008.1
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 21 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5-2mdv2008.0
+ Revision: 68565
- rebuild


* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 17:35:27 (53598)
- add source

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 17:35:04 (53597)
- 0.5

* Wed Jul 12 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/12/06 20:24:56 (41024)
- sync with last version

* Wed Jul 12 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/12/06 18:17:50 (40988)
Import zsync

* Wed Jul 12 2006 Lenny Cartier <lenny@mandriva.com> 0.4.3-1mdv2007.0
- 0.4.3

* Sat Dec 31 2005 Olivier Thauvin <nanardon@mandriva.org> 0.4.2-1mdk
- 0.4.2
- Happy new year, best wishes

* Sun Jul 17 2005 Olivier Thauvin <nanardon@mandriva.org> 0.4.1-1mdk
- 0.4.1

* Wed May 11 2005 Olivier Thauvin <nanardon@mandriva.org> 0.4.0-1mdk
- 0.4.0

* Tue Mar 29 2005 Olivier Thauvin <nanardon@mandrake.org> 0.3.3-1mdk
- 0.3.3

* Tue Mar 22 2005 Olivier Thauvin <nanardon@mandrake.org> 0.3.1-1mdk
- 0.3.1

* Sat Mar 12 2005 Olivier Thauvin <nanardon@mandrake.org> 0.3.0-3mdk
- really fix summary (re thanks Zero_Dogg)

* Sat Mar 12 2005 Olivier Thauvin <nanardon@mandrake.org> 0.3.0-2mdk
- <Zero_Dogg> Nanar: spelling error in zsync: "tranfert" == "transfer" i summary

* Sat Mar 12 2005 Olivier Thauvin <nanardon@mandrake.org> 0.3.0-1mdk
- 0.3.0

* Fri Feb 18 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-1mdk
- 0.2.3

* Sun Feb 13 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.2-1mdk
- 0.2.2

* Wed Feb 09 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.1-1mdk
- First mdk spec

